Delete a bank account
curl --request DELETE \
--url https://staging-api.chip-in.asia/api/send/bank_accounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'checksum: <checksum>' \
--header 'epoch: <epoch>'import requests
url = "https://staging-api.chip-in.asia/api/send/bank_accounts/{id}"
headers = {
"epoch": "<epoch>",
"checksum": "<checksum>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {epoch: '<epoch>', checksum: '<checksum>', Authorization: 'Bearer <token>'}
};
fetch('https://staging-api.chip-in.asia/api/send/bank_accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 84,
"status": "verified",
"account_number": "157380112229",
"bank_code": "MBBEMYKL",
"group_id": null,
"name": "Ahmad Razali",
"reference": "VENDOR-EMP-001",
"created_at": "2023-07-20T08:59:10.766Z",
"is_debiting_account": false,
"is_crediting_account": false,
"updated_at": "2023-07-20T10:34:00.541Z",
"deleted_at": null,
"rejection_reason": null
}{
"message": "Bad request",
"code": 400,
"data": {}
}{
"message": "Unauthorized",
"code": 401,
"data": {}
}{
"message": "You are not authorized to perform this action",
"code": 403,
"data": {}
}{
"message": "Record not found",
"code": 404,
"data": {}
}Bank Accounts
Delete a bank account
Deletes a bank account record, preventing future payments via the Create Send Instruction endpoint.
DELETE
/
send
/
bank_accounts
/
{id}
Delete a bank account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unix epoch timestamp Unix timestamp (seconds).
Example:
1619740800
Refer to checksum calculation
Path Parameters
Example:
84
Response
Successful response
A recipient bank account registered for payouts.
The length depends on recipient bank
Example:
157380112222
ACDBMYK2: AEON Bank (M) BerhadPHBMMYKL: Affin Bank BerhadAGOBMYKL: AgrobankRJHIMYKL: Al-RajhiMFBBMYKL: Alliance Bank Malaysia BerhadARBKMYKL: Ambank Malaysia BerhadBIMBMYKL: Bank Islam Malaysia BerhadBKRMMYKL: Bank Kerjasama Rakyat Malaysia BerhadBMMBMYKL: Bank Muamalat Malaysia BhdBOFAMY2X: Bank of America (M) BerhadBKCHMYKL: Bank of China (M) BerhadBOTKMYKX: Bank of Tokyo-Mitsubishi UFJ (M) BerhadBSNAMYK1: Bank Simpanan Nasional BerhadBNPAMYKL: BNP Paribas Malaysia BerhadPCBCMYKL: China Construction Bank (M) BerhadCIBBMYKL: CIMB Bank BerhadDEUTMYKL: Deutsche Bank (Malaysia) BerhadFNXSMYNB: Finexus Cards Sdn. Bhd.GXSPMYKL: GX Bank BerhadHLBBMYKL: Hong Leong Bank BerhadHBMBMYKL: HSBC Bank Malaysia BerhadICBKMYKL: Industrial and Commercial Bank of China (M) BerhadCHASMYKX: JP Morgan Chase Bank BerhadKFHOMYKL: Kuwait Finance HouseMBBEMYKL: Maybank BerhadAFBQMYKL: MBSB BANK BERHADMHCBMYKA: Mizuho Bank (Malaysia) BerhadOCBCMYKL: OCBC Bank BerhadPBBEMYKL: Public Bank BerhadRHBBMYKL: RHB Bank BerhadSCBLMYKX: Standard Chartered Bank Malaysia BerhadSMBCMYKL: Sumitomo Mitsui Banking Corporation (M) BerhadTNGDMYNB: Touch 'n Go eWalletUOVBMYKL: United Overseas Bank Berhad (UOB)
Available options:
PHBMMYKL, AIBBMYKL, BPMBMYKL, MFBBMYKL, ALSRMYK1, RJHIMYKL, ARBKMYKL, AISLMYKL, BIMBMYKL, BKRMMYKL, BMMBMYKL, BSNAMYK1, CIBBMYKL, CTBBMYKL, HLBBMYKL, HLIBMYKL, HBMBMYKL, HMABMYKL, KFHOMYKL, MBBEMYKL, MBISMYKL, OCBCMYKL, OABBMYKL, PBBEMYKL, PIBEMYK1, RHBBMYKL, RHBAMYKL, SCBLMYKX, UOVBMYKL, AFBQMYKL, CHASMYKX Example:
"MBBEMYKL"
Required string length:
1 - 65535Example:
"Ahmad Razali"
The ID returned in the response must be stored, as it will be required for subsequent operations.
Example:
1
pending: The bank account is awaiting verification.verified: The bank account has been verified as valid.rejected: The bank account is invalid.
Available options:
pending, verified, rejected Example:
"verified"
Example:
null
Unique value used to prevent duplicate submissions.
Required string length:
1 - 65535Example:
"VENDOR-EMP-001"
Object creation time in UTC.
Example:
false
Example:
false
Object updated time in UTC.
Object deletion time in UTC.
Maximum string length:
65535Example:
null